Bug 810775 - Bad %post scritlet
Bad %post scritlet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 00:55 EDT by Mattias Ellert
Modified: 2012-08-09 19:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:31:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2012-04-09 00:55:23 EDT
Description of problem:
Installing tomcat results in the following error:

  Installerar : tomcat-7.0.26-1.fc16.noarch                                 8/8 
fel vid läsning av information om tjänsten tomcat: Filen eller katalogen finns inte

Version-Release number of selected component (if applicable):
tomcat-7.0.26-1.fc16.noarch

How reproducible:
always

Steps to Reproduce:
1. yum install tomcat
  
Actual results:
Error messaged about missing service information during installation

Expected results:
No errors during installation

Additional info:
Tomcat is handled using systemd. However the %post scriptlet still tries to configure the service using chkconfig in the %post scriptlet. This call is responsible for the error.

postinstall scriptlet (using /bin/sh):
# install but don't activate
/sbin/chkconfig --add tomcat
if [ $1 -eq 1 ]; then
    #initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

Additionally: installing tomcat resulted in that redhat-lsb was installed as a dependency. Native Fedora packages are not supposed to depend on this. Do you really need it?
Comment 1 Philippe Troin 2012-06-14 11:54:25 EDT
Still present on F17 with tomcat-7.0.27-2.fc17.noarch.
Comment 2 Fedora Update System 2012-07-01 19:02:03 EDT
tomcat-7.0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tomcat-7.0.28-1.fc17
Comment 3 Fedora Update System 2012-07-02 18:25:15 EDT
Package tomcat-7.0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10134/tomcat-7.0.28-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-25 17:06:12 EDT
tomcat-7.0.29-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tomcat-7.0.29-1.fc17
Comment 5 Fedora Update System 2012-08-09 19:31:25 EDT
tomcat-7.0.29-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.